> ## Documentation Index
> Fetch the complete documentation index at: https://utoken-docs.yoostudio.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Video

> OpenAI 兼容的视频生成接口。

参考文档: https://platform.openai.com/docs/api-reference/videos/create




## OpenAPI

````yaml post /v1/videos
openapi: 3.1.0
info:
  title: UToken API
  version: 1.0.0
  description: Complete UToken API Reference Documentation
servers:
  - url: https://utoken.yoostudio.ai
    description: Production
security: []
tags:
  - name: Images / Native Gemini Format
  - name: Images / Native OpenAI Format
  - name: Images / Qwen OpenAI Compatible Format
  - name: Realtime Voice
  - name: Content Moderation
  - name: Text Embeddings
  - name: Unimplemented / Fine-tuning
  - name: Unimplemented / File Management
  - name: Models / List Models
  - name: Chat Completions
  - name: Chat Completions / Native Gemini Format
  - name: Chat Completions / Native OpenAI Format
  - name: Text Completions
  - name: Video Generation
  - name: Video Generation / Sora Format
  - name: Video Generation / Jimeng (Dreamina) Format
  - name: Video Generation / Kling AI Format
  - name: Document Reranking
  - name: Audio Processing
  - name: Audio Processing / Native OpenAI Format
paths:
  /v1/videos:
    post:
      tags:
        - Video Generation / Sora Format
      summary: Create Video
      description: |
        OpenAI-compatible video generation endpoint.

        Reference: https://platform.openai.com/docs/api-reference/videos/create
      operationId: createvideo
      parameters: []
      requestBody:
        required: false
        content:
          multipart/form-data:
            schema:
              type: object
              description: Video generation request
              properties:
                model:
                  type: string
                  description: Model/Style ID
                  examples:
                    - kling-v1
                prompt:
                  type: string
                  description: Text description prompt
                  examples:
                    - An astronaut stood up and walked
                image:
                  type: string
                  description: Image input (URL or Base64)
                  examples:
                    - https://example.com/image.jpg
                duration:
                  type: number
                  description: Video duration (seconds)
                  examples:
                    - 5
                width:
                  type: integer
                  description: Video width
                  examples:
                    - 1280
                height:
                  type: integer
                  description: Video height
                  examples:
                    - 720
                fps:
                  type: integer
                  description: Video frame rate
                  examples:
                    - 30
                seed:
                  type: integer
                  description: Random seed
                  examples:
                    - 20231234
                'n':
                  type: integer
                  description: Number of videos to generate
                  examples:
                    - 1
                response_format:
                  type: string
                  description: Response format
                  examples:
                    - url
                user:
                  type: string
                  description: User identifier
                  examples:
                    - user-1234
                metadata:
                  type: object
                  description: >-
                    Extended parameters (e.g., negative_prompt, style,
                    quality_level, etc.)
                  additionalProperties: true
                  properties: {}
                  x-apifox-orders: []
              x-apifox-orders:
                - model
                - prompt
                - image
                - duration
                - width
                - height
                - fps
                - seed
                - 'n'
                - response_format
                - user
                - metadata
      responses:
        '200':
          description: Success - Video task created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Video ID
                  object:
                    type: string
                    description: Object Type
                  model:
                    type: string
                    description: Model used
                  status:
                    type: string
                    description: Task Status
                  progress:
                    type: integer
                    description: Progress percentage
                  created_at:
                    type: integer
                    description: Created Timestamp
                  seconds:
                    type: string
                    description: Video duration
                  completed_at:
                    type: integer
                    description: Completion timestamp
                  expires_at:
                    type: integer
                    description: Expiration timestamp
                  size:
                    type: string
                    description: Video dimensions
                  error:
                    type: object
                    description: OpenAI video error message
                    properties:
                      message:
                        type: string
                        description: Error message
                      code:
                        type: string
                        description: Error code
                    x-apifox-orders:
                      - message
                      - code
                  metadata:
                    type: object
                    description: Additional metadata
                    additionalProperties: true
                    x-apifox-orders: []
                    properties: {}
                required:
                  - id
                  - object
                  - model
                  - status
                  - progress
                  - created_at
                  - seconds
                x-apifox-orders:
                  - id
                  - object
                  - model
                  - status
                  - progress
                  - created_at
                  - seconds
                  - completed_at
                  - expires_at
                  - size
                  - error
                  - metadata
                x-apifox-refs: {}
        '400':
          description: Request parameter error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        description: Error message
                      type:
                        type: string
                        description: Error type
                      param:
                        type:
                          - string
                          - 'null'
                        description: Related parameters
                      code:
                        type:
                          - string
                          - 'null'
                        description: Error code
                    x-apifox-orders:
                      - message
                      - type
                      - param
                      - code
                x-apifox-orders:
                  - error
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Use Bearer Token authentication
        Format: Authorization: Bearer sk-xxxxxx

````